Name:		auto-destdir
Version:	1.11
Release:	1%{?dist}
Summary:	Automate DESTDIR support for "make install"

Group:		Development/Tools
License:	MIT
URL:		http://www.dwheeler.com/auto-destdir
Source0:	http://www.dwheeler.com/auto-destdir/auto-destdir-%{version}.tgz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:	noarch

%description
Auto-DESTDIR is a set of programs for POSIX/Unix/Linux systems that helps
automate program installation from source code.  It can be useful for
creating native packages (e.g., RPM or deb), or for installing programs
from source code to be managed by tools like GNU stow.

The Auto-DESTDIR tools (run-redir and make-redir) redirect file installations
so that the installed files are placed inside the the $DESTDIR directory,
even if the provided makefile doesn't support the DESTDIR convention.
In most cases you can simply replace "make install" with
"make-redir DESTDIR=... install".

%prep
%setup -q


%build
%configure --scriptdir="%{_libexecdir}/%{name}"
make


%install
rm -rf "%{buildroot}"
make DESTDIR="%{buildroot}" install
chmod a-x %{buildroot}/%{_mandir}/man1/*

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_libexecdir}/%{name}/
%doc %{_mandir}/man1/*
%doc README COPYING

%changelog
* Wed Sep 09 2009 David A. Wheeler <dwheeler , at, dwheeler dot com> 1.11-1
- Added wrapper for "touch"
- Auto-create DESTDIR directory if it doesn't exist and something is redirected.
- Simplified implementation.
- Documentation: Fixed make-redir(1) so it describes how to use in RPM spec
  files, more override info, note that it's useful with GNU stow, etc.
- make-redir now overrides MKDIR_P and mkdir_p by default

* Wed Sep 02 2009 David A. Wheeler <dwheeler , at, dwheeler dot com> 1.10-1
- Test suite improvements: More tests, runs on Cygwin.
- Simplified .spec file.

* Sun Aug 23 2009 David A. Wheeler <dwheeler , at, dwheeler dot com> 1.7-1
- Shortened description
- Moved scripts to libexecdir.
- Fixed missing '$' in run-redir
- See https://bugzilla.redhat.com/show_bug.cgi?id=518766 for more info.

* Sun Aug 23 2009 David A. Wheeler <dwheeler , at, dwheeler dot com> 1.6-1
- New version 1.6.
- Significantly improved test suite, with a few found and fixed bugs
- Refactored code

* Sun Aug 23 2009 David A. Wheeler <dwheeler , at, dwheeler dot com> 1.5-1
- New version 1.5.
- Fix ./configure so error messages report the problem
  correctly and handle empty values correctly.
- Remove debug-disabler in RPM .spec file.

* Sun Aug 23 2009 David A. Wheeler <dwheeler , at, dwheeler dot com> 1.4-2
- Switch from ./configure to %%configure

* Sat Aug 22 2009 David A. Wheeler <dwheeler , at, dwheeler dot com> 1.4-1
- Change so run-redir isn't modified in place. Simplifies Debian packaging.

* Fri Aug 21 2009 David A. Wheeler <dwheeler , at, dwheeler dot com> 1.3-1
- Added wrapper for "mv"

* Mon Aug 12 2009 David A. Wheeler <dwheeler , at, dwheeler dot com> 1.1-1
- Modified to better comply with GNU coding standards

* Mon Feb 16 2009 David A. Wheeler <dwheeler , at, dwheeler dot com> 1.0-1
- Initial version. Wraps install, mkdir, cp, ln.

